File gnome-do-plugins.changes of Package gnome-do-plugins

-------------------------------------------------------------------
Tue Apr 17 12:50:18 UTC 2012 - dimstar@opensuse.org

- Add gnome-do-mono-detection.patch: Synchronize the mono compiler
  detection with gnome-do 0.9 (default changed from gmcs to dmcs).
- Add gnome-common BuildRequires and call to autoreconf, as above
  patch touches the build system.

-------------------------------------------------------------------
Mon Jan 23 08:58:24 UTC 2012 - vuntz@opensuse.org

- Move to pkgconfig() BuildRequires:
  + Old ones: banshee-1-devel, flickrnet, gconf-sharp2,
    glade-sharp2, gnome-keyring-sharp-devel, gnome-sharp2,
    ndesk-dbus-glib-devel, wnck-sharp.
  + New ones: banshee-collection-indexer, flickrnet,
    gconf-sharp-2.0, glade-sharp-2.0, glib-sharp-2.0,
    gnome-desktop-sharp-2.0, gnome-keyring-sharp-1.0,
    gnome-sharp-2.0, gnome-vfs-sharp-2.0, gtk-sharp-2.0,
    ndesk-dbus-1.0, ndesk-dbus-glib-1.0, wnck-sharp-1.0.
- Add explicit pkgconfig() BuildRequires that were provided by
  gdata-sharp (implicitly brought in before): gdata-sharp-acl,
  gdata-sharp-calendar, gdata-sharp-contacts, gdata-sharp-core,
  gdata-sharp-documents, gdata-sharp-youtube.
- Add explicit pkgconfig() BuildRequires that were missing before:
  mono-addins, mono-addins-gui, mono-addins-setup, notify-sharp.

-------------------------------------------------------------------
Fri Aug 12 09:37:41 UTC 2011 - dimstar@opensuse.org

- Remove autoreconf call: There are no patches that require a
  bootstrap of the buildsystem.

-------------------------------------------------------------------
Mon Jul 18 10:21:59 CEST 2011 - vuntz@opensuse.org

- Add missing glade-sharp2 BuildRequires to fix build; it was
  implicitly brought in before.
- Add pkgconfig(dbus-sharp-1.0) and pkgconfig(dbus-sharp-glib-1.0)
  BuildRequires on 12.1 and later to build empathy plugin. Fix
  bnc#698764.

-------------------------------------------------------------------
Fri Jun 17 06:09:31 CEST 2011 - vuntz@opensuse.org

- Update to version 0.8.4:
  + Fix typos (lp#786902, lp#786903).
  + DBus-related changes in Banshee.
  + Build fixes.
  + Updated translations.
- Drop gnome-do-plugins-banshee2.patch and
  gnome-do-plugins-banshee2-bis.patch: fixed upstream.

-------------------------------------------------------------------
Wed Jun  8 13:55:33 CEST 2011 - vuntz@opensuse.org

- Update to version 0.8.3.1:
  + Build fixes.
- Changes from version 0.8.3:
  + Add GNOME calculator plugin
  + Add Empathy plugin
  + Drop evolution plugin
  + Add support for Google Chrome to Chromium plugin
  + add pastebin.com support (lp#529195)
  + Stop depending on internal gnome-do/wnck library
  + Fix build with mono 2.6/2.8
  + Stop shipping gmcs.exe (lp#479051)
  + Several bugs and crashes fixed, including:
    - Fix various plugins to work again
    - Lock the screen before suspending or hibernating
    - Use xdg-open instead of yelp to open man pages (lp#499162)
    - Fetch google docs list over https (lp#510094)
    - lp#432567, lp#520757, lp#540291, lp#560761, lp#575936,
      lp#577988, lp#599673, lp#616044, lp#671107, lp#634564,
      lp#564448, lp#634561, lp#682832, lp#404787, lp#660588,
      lp#258893, lp#359939, lp#380132, lp#419443, lp#485764,
      lp#393802, lp#70744, lp#711395.
- Remove evolution-sharp BuildRequires as evolution plugin was
  dropped.
- Drop gnome-do-plugins-build-mono-2.6.patch: not needed anymore as
  this was for the evolution plugin.
- Drop gnome-do-plugins-mono-2.8.patch: fixed upstream.
- Drop gnome-do-plugins-mono-2.8-sqlite.patch: fixed upstream.
- Drop gnome-do-plugins-wink.patch: fixed upstream.
- Add gnome-do-plugins-banshee2.patch to fix detection of banshee:
  this makes the detection work for banshee 2 too. Taken from
  upstream.
- Add gnome-do-plugins-banshee2-bis.patch: this completes the patch
  above to make things really work.
- Add xdg-utils Requires since xdg-open is used.

-------------------------------------------------------------------
Tue Dec 14 18:45:55 CET 2010 - vuntz@opensuse.org

- Add gnome-do-plugins-wink.patch to fix build: wink was removed
  from gnome-do, and needs to be build in here.
- Call autoreconf in %build.

-------------------------------------------------------------------
Thu Dec  9 00:32:46 CET 2010 - vuntz@opensuse.org

- Add gnome-do-plugins-mono-2.8.patch and
  gnome-do-plugins-mono-2.8-sqlite.patch to fix build with mono
  2.8.

-------------------------------------------------------------------
Fri Feb 12 02:00:57 CET 2010 - vuntz@opensuse.org

- Add gnome-do-plugins-build-mono-2.6.patch to fix build with mono
  2.6. Patch by Sandy Armstrong.

-------------------------------------------------------------------
Thu Oct 15 09:47:48 CEST 2009 - dimstar@opensuse.org

- Update to version 0.8.2.1:
  + Correctly find banshee indexer library
  + Not properly closing SSH Hosts file
  + lp#381064 - Firefox plugin memory leak
  + lp#410079 - Session plugin doesn't work on devicekit-power

-------------------------------------------------------------------
Mon Sep 21 11:47:08 CEST 2009 - dimstar@opensuse.org

- Disable the package from providing mono(*), bnc#540033.

-------------------------------------------------------------------
Thu Jul 30 09:49:27 CEST 2009 - dominique-obs@leuenberger.net

- Update to version 0.8.2:
  + lp#343158 - can't activate banshee plugin
  + lp#387525 - Twitter plugin no longer receives updates
  + lp#321748 - Plugins should use translations
  + lp#323441 - "Focus" Action missing from Window Manager after
                upgrade
  + lp#329618 - Flickr plugin makes Gnome-Do & system unresponsive
  + lp#375283 - there is no resume for banshee
  + lp#339202 - GNOME-Session and upcoming PowerManager breaks
                Reboot/Shutdown
  + lp#371207 - tracker plugin responds with corrupted path
  + lp#376836 - tracker plugin shows two irrelevant items among
                search results
  + lp#230145 - pidgin plugin does not return link-local buddies
  + lp#297781 - flickr plugin typo
  + lp#317677 - twitter plugin configuration windows always
                reports "Account validation succeeded" even when
                username/password are wrong
  + lp#323079 - add 'Show Desktop' feature to Window Manager
                plugin
  + lp#325892 - GMail contacts item should contain 'recent
                conversations' action
  + lp#374306 - Volume add-on should be able to maximize volume
  + lp#376837 - Implement Tracker plugin using DBus interface
- Package is no longer noarch, as the plugins now live in libdir.
- Create a -lang package

-------------------------------------------------------------------
Mon May 18 01:56:57 CEST 2009 - vuntz@novell.com

- Copy from Mono:Community for inclusion in openSUSE.
- Drop disable-banshee.patch: we have a recent-enough banshee.
- Remove autoreconf call.
- Add explicit Requires on gnome-do.
- Use parallel build.
- Use makeinstall.
- Do not own $datadir/gnome-do: gnome-do owns it already.

-------------------------------------------------------------------
Tue Mar 17 16:47:51 MDT 2009 - ajorgensen@novell.com

- Update to 0.8.1.3
- Disable banshee plugin as it requires >= 1.4.2

-------------------------------------------------------------------
Thu Jan 29 19:05:11 EST 2009 - abockover@novell.com

- Initial package
  * gnome-do-plugins 0.8.0
  * Plugins are now split into a separate tarball
  * Separate plugin packages produced from it